Package: grails.spring

## [Java] Class BeanBuilder.DeferredProperty

- grails.spring.BeanBuilder.DeferredProperty

-     private class BeanBuilder.DeferredProperty

  Defers the adding of a property to a bean definition until later. This is for a case where you assign a property to a list that may not contain bean references at that point of asignment, but may later hence it would need to be managed

  Authors:
    Graeme Rocher

- - ### Field Summary

    Fields
    Modifiers | Name | Description
    --- | --- | ---
    `private BeanConfiguration` | `config` |
    `private java.lang.String` | `name` |
    `private java.lang.Object` | `value` |

  - ### Constructor Summary

    Constructors
    Constructor and description
    `DeferredProperty (BeanConfiguration config, java.lang.String name, java.lang.Object value)`

  - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `public void` | `setInBeanConfig()`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class java.lang.Object` | `java.lang.Object#wait(long), java.lang.Object#wait(long, int), java.lang.Object#wait(), java.lang.Object#equals(java.lang.Object), java.lang.Object#toString(), java.lang.Object#hashCode(), java.lang.Object#getClass(), java.lang.Object#notify(), java.lang.Object#notifyAll()`

- - ### Field Detail

    - #### private BeanConfiguration config

    - #### private java.lang.String name

    - #### private java.lang.Object value

  - ### Constructor Detail

    - #### DeferredProperty(BeanConfiguration config, java.lang.String name, java.lang.Object value)

  - ### Method Detail

    - #### public void setInBeanConfig()